PTHREAD_DETACH(3)

NAME
pthread_detach - detach a thread

SYNOPSIS
#include <pthread.h>
int
pthread_detach(pthread_t thread);

DESCRIPTION
The pthread_detach() function is used to indicate to the implementation that storage for the thread thread can be reclaimed when the thread terminates. If thread has not terminated, pthread_detach() will not cause it to terminate. The effect of multiple pthread_detach() calls on the same target thread is unspecified.

RETURN VALUES
If successful, the pthread_detach() function will return zero. Otherwise an error number will be returned to indicate the error.

ERRORS
pthread_detach() will fail if:

[EINVAL]
    The implementation has detected that the value specified by thread does not refer to a joinable thread.

[ESRCH]
    No thread could be found corresponding to that specified by the given thread ID, thread.

SEE ALSO
pthread_join(3)

STANDARDS
pthread_detach() is expected to conform to IEEE (“POSIX”) Std 1003.1c when it is published.